Subject: Re: bug#55848: [cuirass] workers stalled

From: Maxime Devos <[email-masked]>
Date: Mon, 20 Jun 2022 15:02:55 +0200

Maxim Cournoyer schreef op zo 19-06-2022 om 22:39 [-0400]:
> There was also an attempt to cross-compile a rust/cargo bootstrap seed
> for other architectures (branch: wip-cross-built-rust) but due to
> complications with building rust as a static archive (it relies on
> dynamic linking for its macro expand crates), the effort stalled.

FWIW, has it been considered to cross-compile rust non-statically
(not as a seed, just as an input cross-compiled from another system)?
Doesn't help for people that cannot offload to x86_64 and don't have
substitutes from ci.guix.gnu.org or such enabled, but could still be an
improvement.

Greetings,
Maxime.